> For the complete documentation index, see [llms.txt](https://docs-conversational-ai.syntphony.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs-conversational-ai.syntphony.com/api-docs/api-guidelines/management-api/instance-api/mcp.md).

# MCP

The MCP API handles all integration with MCPs content.

{% hint style="info" %}
**API SUBPATH**: eva-transactional-service
{% endhint %}

## Create new MCP Server

> Creates a new MCP (Model Context Protocol) Server with the provided configuration. The server can be configured with different authentication methods including Basic Auth, Bearer Token, or OAuth. All authentication parameters are validated according to the selected authentication type.

```json
{"openapi":"3.1.0","info":{"title":"eva-transactional-service API Documentation","version":"4.9.0"},"tags":[{"name":"MCP Server","description":"Management for creating, listing, finding, updating and deleting MCP Servers, discovering tools from MCP Servers, and listing MCP Server Tools"}],"paths":{"/org/{orgUUID}/env/{envUUID}/bot/{botUUID}/mcp/servers":{"post":{"tags":["MCP Server"],"summary":"Create new MCP Server","description":"Creates a new MCP (Model Context Protocol) Server with the provided configuration. The server can be configured with different authentication methods including Basic Auth, Bearer Token, or OAuth. All authentication parameters are validated according to the selected authentication type.","operationId":"createMcpServer","parameters":[{"name":"orgUUID","in":"path","description":"Organization UUID","required":true,"schema":{"type":"string"}},{"name":"envUUID","in":"path","description":"Environment UUID","required":true,"schema":{"type":"string"}},{"name":"botUUID","in":"path","description":"Bot UUID","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/McpServerRequestDTO"}}},"required":true},"responses":{"201":{"description":"MCP Server created successfully","content":{"*/*":{"schema":{"$ref":"#/components/schemas/McpServerDataDTO"}}}},"400":{"description":"Bad Request - Invalid input data or validation errors","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"401":{"description":"Unauthorized - Authentication failed","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"403":{"description":"Forbidden - Access denied","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"408":{"description":"Request Timeout","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"409":{"description":"Conflict - MCP Server name already exists","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"422":{"description":"Unprocessable Entity - Validation errors in request body","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}}}}}},"components":{"schemas":{"McpServerRequestDTO":{"type":"object","description":"DTO used to request the creation or update of a MCP Server","properties":{"name":{"type":"string","description":"Name of the MCP server","maxLength":50,"minLength":0,"pattern":"^[a-z]+(_[a-z]+)*$"},"description":{"type":"string","description":"Description of the MCP server","maxLength":150,"minLength":0},"instruction":{"type":"string","description":"Instruction for the MCP server. The system uses this content to determine which MCP to invoke.","maxLength":2000,"minLength":0},"tags":{"type":"array","description":"Tags of the MCP server","items":{"$ref":"#/components/schemas/TagDTO"}},"transportType":{"$ref":"#/components/schemas/McpTransportTypeEnum","description":"Transport type used to connect with the MCP server","enum":["STREAMABLE_HTTP","SSE"]},"url":{"type":"string","description":"MCP server URL","minLength":1},"headers":{"type":"array","description":"Headers of the MCP server","items":{"$ref":"#/components/schemas/HeaderDTO"}},"authType":{"$ref":"#/components/schemas/AuthTypeEnum","description":"Enum describing if MCP server uses an auth method, and which.","enum":["AUTH_NONE","AUTH_BASIC","AUTH_BEARER","AUTH_OAUTH"]},"basicToken":{"type":"string","description":"Basic Token for Basic Auth Header"},"bearerToken":{"type":"string","description":"Bearer Token for Bearer Token Auth Header"},"oauthUrl":{"type":"string","description":"URL for authentication with oAuth Method"},"grantType":{"$ref":"#/components/schemas/GrantTypeEnum","description":"Grant type to be used with oAuth Method","enum":["CLIENT_CREDENTIALS","PASSWORD","REFRESH_TOKEN"]},"clientId":{"type":"string","description":"Client Id to be used with oAuth Method"},"clientSecret":{"type":"string","description":"Client Secret to be used with oAuth Method and grant type 'client_credentials'"},"authUsername":{"type":"string","description":"Username to be used with oAuth Method and grant type 'password'"},"authPassword":{"type":"string","description":"Password to be used with oAuth Method and grant type 'password'"},"authTypeEnum":{"type":"string","enum":["AUTH_NONE","AUTH_BASIC","AUTH_BEARER","AUTH_OAUTH"]},"grantTypeEnum":{"type":"string","enum":["CLIENT_CREDENTIALS","PASSWORD","REFRESH_TOKEN"]}},"required":["instruction","name","transportType","url"]},"TagDTO":{"type":"object","description":"DTO user to request create or update of tags of transactional service and response with this data","properties":{"name":{"type":"string","description":"Name of tag","maxLength":80,"minLength":0}},"required":["name"]},"McpTransportTypeEnum":{"type":"string","enum":["McpTransportTypeEnum.STREAMABLE_HTTP(value=STREAMABLE_HTTP)","McpTransportTypeEnum.SSE(value=SSE)"]},"HeaderDTO":{"type":"object","description":"DTO user to request create or update of headers of transactional service and response with this data","properties":{"header":{"type":"string","description":"Name of the header of the transactional service","minLength":1},"value":{"type":"string","description":"Name of the value of header of the transactional service","minLength":1}},"required":["header","value"]},"AuthTypeEnum":{"type":"string","enum":["AUTH_NONE","AUTH_BASIC","AUTH_BEARER","AUTH_OAUTH"]},"GrantTypeEnum":{"type":"string","enum":["CLIENT_CREDENTIALS","PASSWORD","REFRESH_TOKEN"]},"McpServerDataDTO":{"type":"object","description":"DTO response when fetch successfully a MCP Server","properties":{"uuid":{"type":"string","description":"UUID of the MCP Server"},"name":{"type":"string","description":"Name of the MCP Server"},"description":{"type":"string","description":"Description of the MCP Server"},"instruction":{"type":"string","description":"Instruction of the MCP Server"},"version":{"type":"string","description":"Version of the MCP Server"},"tags":{"type":"array","description":"Tags of the MCP Server","items":{"$ref":"#/components/schemas/TagDTO"}},"transportType":{"type":"string","description":"Transport type of the MCP Server","enum":["McpTransportTypeEnum.STREAMABLE_HTTP(value=STREAMABLE_HTTP)","McpTransportTypeEnum.SSE(value=SSE)"]},"url":{"type":"string","description":"URL of the MCP Server"},"headers":{"type":"array","description":"Headers of the MCP Server","items":{"$ref":"#/components/schemas/HeaderDTO"}},"authType":{"type":"string","description":"Authentication type of the MCP Server","enum":["AUTH_NONE","AUTH_BASIC","AUTH_BEARER","AUTH_OAUTH"]},"basicToken":{"type":"string","description":"Basic token for authentication"},"bearerToken":{"type":"string","description":"Bearer token for authentication"},"oauthUrl":{"type":"string","description":"OAuth URL for authentication"},"grantType":{"type":"string","description":"Grant type for OAuth authentication","enum":["CLIENT_CREDENTIALS","PASSWORD","REFRESH_TOKEN"]},"clientId":{"type":"string","description":"Client ID for OAuth authentication"},"clientSecret":{"type":"string","description":"Client secret for OAuth authentication"},"authUsername":{"type":"string","description":"Username for authentication"},"authPassword":{"type":"string","description":"Password for authentication"},"tools":{"type":"array","description":"Persisted tools associated with the MCP Server","items":{"$ref":"#/components/schemas/McpServerToolDTO"}},"agents":{"type":"array","description":"List of agents currently using this MCP Server","items":{"$ref":"#/components/schemas/McpServerAgentDTO"}},"updatedAt":{"type":"string","format":"date-time","description":"Last update timestamp"},"updatedBy":{"type":"string","description":"User who made the last update"},"user":{"$ref":"#/components/schemas/UserDTO","description":"User information"}}},"McpServerToolDTO":{"type":"object","description":"DTO representing a persisted MCP Server Tool associated with an MCP Server","properties":{"uuid":{"type":"string","description":"UUID of the transactional service"},"name":{"type":"string","description":"Name of the tool"},"description":{"type":"string","description":"Description of the tool"},"inputSchema":{"$ref":"#/components/schemas/JsonSchema","description":"Input parameters schema as object"},"updatedAt":{"type":"string","format":"date-time","description":"Last update timestamp"},"updatedBy":{"type":"string","description":"User who made the last update"}}},"JsonSchema":{"type":"object","properties":{"type":{"type":"string"},"properties":{"type":"object","additionalProperties":{}},"required":{"type":"array","items":{"type":"string"}},"additionalProperties":{"type":"boolean"},"$defs":{"type":"object","additionalProperties":{}},"definitions":{"type":"object","additionalProperties":{}}}},"McpServerAgentDTO":{"type":"object","description":"DTO with minimal agent data linked to an MCP Server","properties":{"uuid":{"type":"string","description":"Agent UUID"},"role":{"type":"string","description":"Agent role"}}},"UserDTO":{"type":"object","description":"Reply DTO with data from users who last updated","properties":{"image":{"type":"string","description":"Image of user"},"username":{"type":"string","description":"Name of the user"}}},"StandardError":{"type":"object","properties":{"timestamp":{"type":"integer","format":"int64"},"errorCode":{"type":"string"},"errorType":{"type":"string","enum":["API_ERROR","API_INFO","USER_ERROR"]},"message":{"type":"string"},"path":{"type":"string"}}}}}}
```

## Find MCP Server by UUID

> Retrieves a specific MCP Server by its UUID. Returns complete server information including configuration, authentication details, and available tools.

```json
{"openapi":"3.1.0","info":{"title":"eva-transactional-service API Documentation","version":"4.9.0"},"tags":[{"name":"MCP Server","description":"Management for creating, listing, finding, updating and deleting MCP Servers, discovering tools from MCP Servers, and listing MCP Server Tools"}],"paths":{"/org/{orgUUID}/env/{envUUID}/bot/{botUUID}/mcp/servers/{uuid}":{"get":{"tags":["MCP Server"],"summary":"Find MCP Server by UUID","description":"Retrieves a specific MCP Server by its UUID. Returns complete server information including configuration, authentication details, and available tools.","operationId":"getMcpServerById","parameters":[{"name":"orgUUID","in":"path","description":"Organization UUID","required":true,"schema":{"type":"string"}},{"name":"envUUID","in":"path","description":"Environment UUID","required":true,"schema":{"type":"string"}},{"name":"botUUID","in":"path","description":"Bot UUID","required":true,"schema":{"type":"string"}},{"name":"uuid","in":"path","description":"MCP Server UUID","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"MCP Server found successfully","content":{"*/*":{"schema":{"$ref":"#/components/schemas/McpServerDataDTO"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"401":{"description":"Unauthorized - Authentication failed","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"403":{"description":"Forbidden - Access denied","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"404":{"description":"Not Found - MCP Server not found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"408":{"description":"Request Timeout","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"409":{"description":"Conflict","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"422":{"description":"Unprocessable Entity","content":{"*/*":{"schema":{"oneOf":[{"$ref":"#/components/schemas/ValidationError"},{"$ref":"#/components/schemas/StandardError"}]}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}}}}}},"components":{"schemas":{"McpServerDataDTO":{"type":"object","description":"DTO response when fetch successfully a MCP Server","properties":{"uuid":{"type":"string","description":"UUID of the MCP Server"},"name":{"type":"string","description":"Name of the MCP Server"},"description":{"type":"string","description":"Description of the MCP Server"},"instruction":{"type":"string","description":"Instruction of the MCP Server"},"version":{"type":"string","description":"Version of the MCP Server"},"tags":{"type":"array","description":"Tags of the MCP Server","items":{"$ref":"#/components/schemas/TagDTO"}},"transportType":{"type":"string","description":"Transport type of the MCP Server","enum":["McpTransportTypeEnum.STREAMABLE_HTTP(value=STREAMABLE_HTTP)","McpTransportTypeEnum.SSE(value=SSE)"]},"url":{"type":"string","description":"URL of the MCP Server"},"headers":{"type":"array","description":"Headers of the MCP Server","items":{"$ref":"#/components/schemas/HeaderDTO"}},"authType":{"type":"string","description":"Authentication type of the MCP Server","enum":["AUTH_NONE","AUTH_BASIC","AUTH_BEARER","AUTH_OAUTH"]},"basicToken":{"type":"string","description":"Basic token for authentication"},"bearerToken":{"type":"string","description":"Bearer token for authentication"},"oauthUrl":{"type":"string","description":"OAuth URL for authentication"},"grantType":{"type":"string","description":"Grant type for OAuth authentication","enum":["CLIENT_CREDENTIALS","PASSWORD","REFRESH_TOKEN"]},"clientId":{"type":"string","description":"Client ID for OAuth authentication"},"clientSecret":{"type":"string","description":"Client secret for OAuth authentication"},"authUsername":{"type":"string","description":"Username for authentication"},"authPassword":{"type":"string","description":"Password for authentication"},"tools":{"type":"array","description":"Persisted tools associated with the MCP Server","items":{"$ref":"#/components/schemas/McpServerToolDTO"}},"agents":{"type":"array","description":"List of agents currently using this MCP Server","items":{"$ref":"#/components/schemas/McpServerAgentDTO"}},"updatedAt":{"type":"string","format":"date-time","description":"Last update timestamp"},"updatedBy":{"type":"string","description":"User who made the last update"},"user":{"$ref":"#/components/schemas/UserDTO","description":"User information"}}},"TagDTO":{"type":"object","description":"DTO user to request create or update of tags of transactional service and response with this data","properties":{"name":{"type":"string","description":"Name of tag","maxLength":80,"minLength":0}},"required":["name"]},"HeaderDTO":{"type":"object","description":"DTO user to request create or update of headers of transactional service and response with this data","properties":{"header":{"type":"string","description":"Name of the header of the transactional service","minLength":1},"value":{"type":"string","description":"Name of the value of header of the transactional service","minLength":1}},"required":["header","value"]},"McpServerToolDTO":{"type":"object","description":"DTO representing a persisted MCP Server Tool associated with an MCP Server","properties":{"uuid":{"type":"string","description":"UUID of the transactional service"},"name":{"type":"string","description":"Name of the tool"},"description":{"type":"string","description":"Description of the tool"},"inputSchema":{"$ref":"#/components/schemas/JsonSchema","description":"Input parameters schema as object"},"updatedAt":{"type":"string","format":"date-time","description":"Last update timestamp"},"updatedBy":{"type":"string","description":"User who made the last update"}}},"JsonSchema":{"type":"object","properties":{"type":{"type":"string"},"properties":{"type":"object","additionalProperties":{}},"required":{"type":"array","items":{"type":"string"}},"additionalProperties":{"type":"boolean"},"$defs":{"type":"object","additionalProperties":{}},"definitions":{"type":"object","additionalProperties":{}}}},"McpServerAgentDTO":{"type":"object","description":"DTO with minimal agent data linked to an MCP Server","properties":{"uuid":{"type":"string","description":"Agent UUID"},"role":{"type":"string","description":"Agent role"}}},"UserDTO":{"type":"object","description":"Reply DTO with data from users who last updated","properties":{"image":{"type":"string","description":"Image of user"},"username":{"type":"string","description":"Name of the user"}}},"StandardError":{"type":"object","properties":{"timestamp":{"type":"integer","format":"int64"},"errorCode":{"type":"string"},"errorType":{"type":"string","enum":["API_ERROR","API_INFO","USER_ERROR"]},"message":{"type":"string"},"path":{"type":"string"}}},"ValidationError":{"type":"object","properties":{"timestamp":{"type":"integer","format":"int64"},"errorCode":{"type":"string"},"errorType":{"type":"string","enum":["API_ERROR","API_INFO","USER_ERROR"]},"message":{"type":"string"},"path":{"type":"string"},"details":{"type":"array","items":{"$ref":"#/components/schemas/FieldMessage"}}}},"FieldMessage":{"type":"object","properties":{"fieldName":{"type":"string"},"message":{"type":"string"},"errorCode":{"type":"string"}}}}}}
```

## List MCP Servers with pagination

> Retrieves a paginated list of MCP Servers for the specified organization, environment, and bot. Supports filtering by search term and sorting by various fields. When type=ALL, returns all results in a single page with applied sorting.

```json
{"openapi":"3.1.0","info":{"title":"eva-transactional-service API Documentation","version":"4.9.0"},"tags":[{"name":"MCP Server","description":"Management for creating, listing, finding, updating and deleting MCP Servers, discovering tools from MCP Servers, and listing MCP Server Tools"}],"paths":{"/org/{orgUUID}/env/{envUUID}/bot/{botUUID}/mcp/servers":{"get":{"tags":["MCP Server"],"summary":"List MCP Servers with pagination","description":"Retrieves a paginated list of MCP Servers for the specified organization, environment, and bot. Supports filtering by search term and sorting by various fields. When type=ALL, returns all results in a single page with applied sorting.","operationId":"listMcpServers","parameters":[{"name":"orgUUID","in":"path","description":"Organization UUID","required":true,"schema":{"type":"string"}},{"name":"envUUID","in":"path","description":"Environment UUID","required":true,"schema":{"type":"string"}},{"name":"botUUID","in":"path","description":"Bot UUID","required":true,"schema":{"type":"string"}},{"name":"page","in":"query","description":"The number of page and the default is 1","required":false,"schema":{"type":"integer","format":"int32","default":1}},{"name":"linesPerPage","in":"query","description":"The number of services per pages and the default is 5","required":false,"schema":{"type":"integer","format":"int32","default":5}},{"name":"orderBy","in":"query","description":"Field to order by, the default is 'updatedAt'","required":false,"schema":{"type":"string","default":"updatedAt"}},{"name":"direction","in":"query","description":"Direction of ordering, ASC or DESC. The default is DESC","required":false,"schema":{"type":"string","default":"DESC"}},{"name":"searchTerm","in":"query","description":"Name or tag to filter the search","required":false,"schema":{"type":"string"}},{"name":"type","in":"query","description":"Type of listing - PAGE for paginated results, ALL for all results","required":false,"schema":{"type":"string","enum":["PAGE","ALL"]}}],"responses":{"200":{"description":"MCP Servers listed successfully","content":{"*/*":{"schema":{"$ref":"#/components/schemas/McpServerPageDTO"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"401":{"description":"Unauthorized - Authentication failed","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"403":{"description":"Forbidden - Access denied","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"408":{"description":"Request Timeout","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"409":{"description":"Conflict","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"422":{"description":"Unprocessable Entity","content":{"*/*":{"schema":{"oneOf":[{"$ref":"#/components/schemas/ValidationError"},{"$ref":"#/components/schemas/StandardError"}]}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}}}}}},"components":{"schemas":{"McpServerPageDTO":{"type":"object","description":"DTO response with MCP Server page data","properties":{"uuid":{"type":"string","description":"UUID of the transactional service"},"name":{"type":"string","description":"Name of the MCP Server"},"version":{"type":"string","description":"Version of the MCP Server"},"updatedAt":{"type":"string","format":"date-time","description":"Last update timestamp"},"updatedBy":{"type":"string","description":"User who made the last update"},"user":{"$ref":"#/components/schemas/UserDTO","description":"User information"},"tools":{"type":"array","description":"List of tools for this MCP Server","items":{"$ref":"#/components/schemas/McpServerToolDTO"}},"agents":{"type":"array","description":"List of agents currently using this MCP Server","items":{"$ref":"#/components/schemas/McpServerAgentDTO"}}}},"UserDTO":{"type":"object","description":"Reply DTO with data from users who last updated","properties":{"image":{"type":"string","description":"Image of user"},"username":{"type":"string","description":"Name of the user"}}},"McpServerToolDTO":{"type":"object","description":"DTO representing a persisted MCP Server Tool associated with an MCP Server","properties":{"uuid":{"type":"string","description":"UUID of the transactional service"},"name":{"type":"string","description":"Name of the tool"},"description":{"type":"string","description":"Description of the tool"},"inputSchema":{"$ref":"#/components/schemas/JsonSchema","description":"Input parameters schema as object"},"updatedAt":{"type":"string","format":"date-time","description":"Last update timestamp"},"updatedBy":{"type":"string","description":"User who made the last update"}}},"JsonSchema":{"type":"object","properties":{"type":{"type":"string"},"properties":{"type":"object","additionalProperties":{}},"required":{"type":"array","items":{"type":"string"}},"additionalProperties":{"type":"boolean"},"$defs":{"type":"object","additionalProperties":{}},"definitions":{"type":"object","additionalProperties":{}}}},"McpServerAgentDTO":{"type":"object","description":"DTO with minimal agent data linked to an MCP Server","properties":{"uuid":{"type":"string","description":"Agent UUID"},"role":{"type":"string","description":"Agent role"}}},"StandardError":{"type":"object","properties":{"timestamp":{"type":"integer","format":"int64"},"errorCode":{"type":"string"},"errorType":{"type":"string","enum":["API_ERROR","API_INFO","USER_ERROR"]},"message":{"type":"string"},"path":{"type":"string"}}},"ValidationError":{"type":"object","properties":{"timestamp":{"type":"integer","format":"int64"},"errorCode":{"type":"string"},"errorType":{"type":"string","enum":["API_ERROR","API_INFO","USER_ERROR"]},"message":{"type":"string"},"path":{"type":"string"},"details":{"type":"array","items":{"$ref":"#/components/schemas/FieldMessage"}}}},"FieldMessage":{"type":"object","properties":{"fieldName":{"type":"string"},"message":{"type":"string"},"errorCode":{"type":"string"}}}}}}
```

## Returning a list of possible words to autocomplete in search for MCP Servers

> Searches (greedily) for any MCP Server names that exists in a bot, matching the typed term, left-to-right, and returns a list of up to 6 Strings, ordered alphabetically.

```json
{"openapi":"3.1.0","info":{"title":"eva-transactional-service API Documentation","version":"4.9.0"},"tags":[{"name":"MCP Server","description":"Management for creating, listing, finding, updating and deleting MCP Servers, discovering tools from MCP Servers, and listing MCP Server Tools"}],"paths":{"/org/{orgUUID}/env/{envUUID}/bot/{botUUID}/mcp/servers/quicksearch":{"get":{"tags":["MCP Server"],"summary":"Returning a list of possible words to autocomplete in search for MCP Servers","description":"Searches (greedily) for any MCP Server names that exists in a bot, matching the typed term, left-to-right, and returns a list of up to 6 Strings, ordered alphabetically.","operationId":"quicksearch_2","parameters":[{"name":"orgUUID","in":"path","description":"Organization UUID","required":true,"schema":{"type":"string"}},{"name":"envUUID","in":"path","description":"Environment UUID","required":true,"schema":{"type":"string"}},{"name":"botUUID","in":"path","description":"Bot UUID","required":true,"schema":{"type":"string"}},{"name":"searchTerm","in":"query","description":"Word or part of word to get suggestion names of MCP servers","required":true,"schema":{"type":"string"}},{"name":"limit","in":"query","description":"The limit of suggestions names in the response. The default value is 6","required":false,"schema":{"type":"integer","format":"int64","default":6}}],"responses":{"200":{"description":"Ok","content":{"*/*":{"schema":{"type":"array","items":{"type":"string"}}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"401":{"description":"Unauthorized - Authentication failed","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"403":{"description":"Forbidden - Access denied","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"408":{"description":"Request Timeout","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"409":{"description":"Conflict","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"422":{"description":"Unprocessable Entity","content":{"*/*":{"schema":{"oneOf":[{"$ref":"#/components/schemas/ValidationError"},{"$ref":"#/components/schemas/StandardError"}]}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}}}}}},"components":{"schemas":{"StandardError":{"type":"object","properties":{"timestamp":{"type":"integer","format":"int64"},"errorCode":{"type":"string"},"errorType":{"type":"string","enum":["API_ERROR","API_INFO","USER_ERROR"]},"message":{"type":"string"},"path":{"type":"string"}}},"ValidationError":{"type":"object","properties":{"timestamp":{"type":"integer","format":"int64"},"errorCode":{"type":"string"},"errorType":{"type":"string","enum":["API_ERROR","API_INFO","USER_ERROR"]},"message":{"type":"string"},"path":{"type":"string"},"details":{"type":"array","items":{"$ref":"#/components/schemas/FieldMessage"}}}},"FieldMessage":{"type":"object","properties":{"fieldName":{"type":"string"},"message":{"type":"string"},"errorCode":{"type":"string"}}}}}}
```

## Update MCP Server

> Updates an existing MCP Server with the provided configuration. All fields can be updated including authentication settings. The server name must be unique within the organization.

```json
{"openapi":"3.1.0","info":{"title":"eva-transactional-service API Documentation","version":"4.9.0"},"tags":[{"name":"MCP Server","description":"Management for creating, listing, finding, updating and deleting MCP Servers, discovering tools from MCP Servers, and listing MCP Server Tools"}],"paths":{"/org/{orgUUID}/env/{envUUID}/bot/{botUUID}/mcp/servers/{uuid}":{"put":{"tags":["MCP Server"],"summary":"Update MCP Server","description":"Updates an existing MCP Server with the provided configuration. All fields can be updated including authentication settings. The server name must be unique within the organization.","operationId":"updateMcpServer","parameters":[{"name":"orgUUID","in":"path","description":"Organization UUID","required":true,"schema":{"type":"string"}},{"name":"envUUID","in":"path","description":"Environment UUID","required":true,"schema":{"type":"string"}},{"name":"botUUID","in":"path","description":"Bot UUID","required":true,"schema":{"type":"string"}},{"name":"uuid","in":"path","description":"MCP Server UUID","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/McpServerRequestDTO"}}},"required":true},"responses":{"200":{"description":"MCP Server updated successfully","content":{"*/*":{"schema":{"$ref":"#/components/schemas/McpServerDataDTO"}}}},"400":{"description":"Bad Request - Invalid input data or validation errors","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"401":{"description":"Unauthorized - Authentication failed","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"403":{"description":"Forbidden - Access denied","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"404":{"description":"Not Found - MCP Server not found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"408":{"description":"Request Timeout","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"409":{"description":"Conflict - MCP Server name already exists","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"422":{"description":"Unprocessable Entity - Validation errors in request body","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}}}}}},"components":{"schemas":{"McpServerRequestDTO":{"type":"object","description":"DTO used to request the creation or update of a MCP Server","properties":{"name":{"type":"string","description":"Name of the MCP server","maxLength":50,"minLength":0,"pattern":"^[a-z]+(_[a-z]+)*$"},"description":{"type":"string","description":"Description of the MCP server","maxLength":150,"minLength":0},"instruction":{"type":"string","description":"Instruction for the MCP server. The system uses this content to determine which MCP to invoke.","maxLength":2000,"minLength":0},"tags":{"type":"array","description":"Tags of the MCP server","items":{"$ref":"#/components/schemas/TagDTO"}},"transportType":{"$ref":"#/components/schemas/McpTransportTypeEnum","description":"Transport type used to connect with the MCP server","enum":["STREAMABLE_HTTP","SSE"]},"url":{"type":"string","description":"MCP server URL","minLength":1},"headers":{"type":"array","description":"Headers of the MCP server","items":{"$ref":"#/components/schemas/HeaderDTO"}},"authType":{"$ref":"#/components/schemas/AuthTypeEnum","description":"Enum describing if MCP server uses an auth method, and which.","enum":["AUTH_NONE","AUTH_BASIC","AUTH_BEARER","AUTH_OAUTH"]},"basicToken":{"type":"string","description":"Basic Token for Basic Auth Header"},"bearerToken":{"type":"string","description":"Bearer Token for Bearer Token Auth Header"},"oauthUrl":{"type":"string","description":"URL for authentication with oAuth Method"},"grantType":{"$ref":"#/components/schemas/GrantTypeEnum","description":"Grant type to be used with oAuth Method","enum":["CLIENT_CREDENTIALS","PASSWORD","REFRESH_TOKEN"]},"clientId":{"type":"string","description":"Client Id to be used with oAuth Method"},"clientSecret":{"type":"string","description":"Client Secret to be used with oAuth Method and grant type 'client_credentials'"},"authUsername":{"type":"string","description":"Username to be used with oAuth Method and grant type 'password'"},"authPassword":{"type":"string","description":"Password to be used with oAuth Method and grant type 'password'"},"authTypeEnum":{"type":"string","enum":["AUTH_NONE","AUTH_BASIC","AUTH_BEARER","AUTH_OAUTH"]},"grantTypeEnum":{"type":"string","enum":["CLIENT_CREDENTIALS","PASSWORD","REFRESH_TOKEN"]}},"required":["instruction","name","transportType","url"]},"TagDTO":{"type":"object","description":"DTO user to request create or update of tags of transactional service and response with this data","properties":{"name":{"type":"string","description":"Name of tag","maxLength":80,"minLength":0}},"required":["name"]},"McpTransportTypeEnum":{"type":"string","enum":["McpTransportTypeEnum.STREAMABLE_HTTP(value=STREAMABLE_HTTP)","McpTransportTypeEnum.SSE(value=SSE)"]},"HeaderDTO":{"type":"object","description":"DTO user to request create or update of headers of transactional service and response with this data","properties":{"header":{"type":"string","description":"Name of the header of the transactional service","minLength":1},"value":{"type":"string","description":"Name of the value of header of the transactional service","minLength":1}},"required":["header","value"]},"AuthTypeEnum":{"type":"string","enum":["AUTH_NONE","AUTH_BASIC","AUTH_BEARER","AUTH_OAUTH"]},"GrantTypeEnum":{"type":"string","enum":["CLIENT_CREDENTIALS","PASSWORD","REFRESH_TOKEN"]},"McpServerDataDTO":{"type":"object","description":"DTO response when fetch successfully a MCP Server","properties":{"uuid":{"type":"string","description":"UUID of the MCP Server"},"name":{"type":"string","description":"Name of the MCP Server"},"description":{"type":"string","description":"Description of the MCP Server"},"instruction":{"type":"string","description":"Instruction of the MCP Server"},"version":{"type":"string","description":"Version of the MCP Server"},"tags":{"type":"array","description":"Tags of the MCP Server","items":{"$ref":"#/components/schemas/TagDTO"}},"transportType":{"type":"string","description":"Transport type of the MCP Server","enum":["McpTransportTypeEnum.STREAMABLE_HTTP(value=STREAMABLE_HTTP)","McpTransportTypeEnum.SSE(value=SSE)"]},"url":{"type":"string","description":"URL of the MCP Server"},"headers":{"type":"array","description":"Headers of the MCP Server","items":{"$ref":"#/components/schemas/HeaderDTO"}},"authType":{"type":"string","description":"Authentication type of the MCP Server","enum":["AUTH_NONE","AUTH_BASIC","AUTH_BEARER","AUTH_OAUTH"]},"basicToken":{"type":"string","description":"Basic token for authentication"},"bearerToken":{"type":"string","description":"Bearer token for authentication"},"oauthUrl":{"type":"string","description":"OAuth URL for authentication"},"grantType":{"type":"string","description":"Grant type for OAuth authentication","enum":["CLIENT_CREDENTIALS","PASSWORD","REFRESH_TOKEN"]},"clientId":{"type":"string","description":"Client ID for OAuth authentication"},"clientSecret":{"type":"string","description":"Client secret for OAuth authentication"},"authUsername":{"type":"string","description":"Username for authentication"},"authPassword":{"type":"string","description":"Password for authentication"},"tools":{"type":"array","description":"Persisted tools associated with the MCP Server","items":{"$ref":"#/components/schemas/McpServerToolDTO"}},"agents":{"type":"array","description":"List of agents currently using this MCP Server","items":{"$ref":"#/components/schemas/McpServerAgentDTO"}},"updatedAt":{"type":"string","format":"date-time","description":"Last update timestamp"},"updatedBy":{"type":"string","description":"User who made the last update"},"user":{"$ref":"#/components/schemas/UserDTO","description":"User information"}}},"McpServerToolDTO":{"type":"object","description":"DTO representing a persisted MCP Server Tool associated with an MCP Server","properties":{"uuid":{"type":"string","description":"UUID of the transactional service"},"name":{"type":"string","description":"Name of the tool"},"description":{"type":"string","description":"Description of the tool"},"inputSchema":{"$ref":"#/components/schemas/JsonSchema","description":"Input parameters schema as object"},"updatedAt":{"type":"string","format":"date-time","description":"Last update timestamp"},"updatedBy":{"type":"string","description":"User who made the last update"}}},"JsonSchema":{"type":"object","properties":{"type":{"type":"string"},"properties":{"type":"object","additionalProperties":{}},"required":{"type":"array","items":{"type":"string"}},"additionalProperties":{"type":"boolean"},"$defs":{"type":"object","additionalProperties":{}},"definitions":{"type":"object","additionalProperties":{}}}},"McpServerAgentDTO":{"type":"object","description":"DTO with minimal agent data linked to an MCP Server","properties":{"uuid":{"type":"string","description":"Agent UUID"},"role":{"type":"string","description":"Agent role"}}},"UserDTO":{"type":"object","description":"Reply DTO with data from users who last updated","properties":{"image":{"type":"string","description":"Image of user"},"username":{"type":"string","description":"Name of the user"}}},"StandardError":{"type":"object","properties":{"timestamp":{"type":"integer","format":"int64"},"errorCode":{"type":"string"},"errorType":{"type":"string","enum":["API_ERROR","API_INFO","USER_ERROR"]},"message":{"type":"string"},"path":{"type":"string"}}}}}}
```

## Update MCP Server from discovery

> Performs discovery on the MCP server and updates only changed data. Compares existing server data with discovered data and applies selective updates for version changes, tool additions, removals, and modifications.

```json
{"openapi":"3.1.0","info":{"title":"eva-transactional-service API Documentation","version":"4.9.0"},"tags":[{"name":"MCP Server","description":"Management for creating, listing, finding, updating and deleting MCP Servers, discovering tools from MCP Servers, and listing MCP Server Tools"}],"paths":{"/org/{orgUUID}/env/{envUUID}/bot/{botUUID}/mcp/servers/{uuid}/update":{"put":{"tags":["MCP Server"],"summary":"Update MCP Server from discovery","description":"Performs discovery on the MCP server and updates only changed data. Compares existing server data with discovered data and applies selective updates for version changes, tool additions, removals, and modifications.","operationId":"updateMcpServerFromDiscovery","parameters":[{"name":"orgUUID","in":"path","description":"Organization UUID","required":true,"schema":{"type":"string"}},{"name":"envUUID","in":"path","description":"Environment UUID","required":true,"schema":{"type":"string"}},{"name":"botUUID","in":"path","description":"Bot UUID","required":true,"schema":{"type":"string"}},{"name":"uuid","in":"path","description":"MCP Server UUID","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"MCP Server updated successfully from discovery","content":{"*/*":{"schema":{"$ref":"#/components/schemas/McpServerUpdateResponseDTO"}}}},"400":{"description":"Bad Request - Invalid URL or discovery failed","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"401":{"description":"Unauthorized - Authentication failed","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"403":{"description":"Forbidden - Access denied","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"404":{"description":"Not Found - MCP Server not found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"408":{"description":"Request Timeout - MCP server did not respond in time","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"409":{"description":"Conflict","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"422":{"description":"Unprocessable Entity","content":{"*/*":{"schema":{"oneOf":[{"$ref":"#/components/schemas/ValidationError"},{"$ref":"#/components/schemas/StandardError"}]}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}}}}}},"components":{"schemas":{"McpServerUpdateResponseDTO":{"type":"object","description":"DTO response for MCP Server update operation","properties":{"tools":{"type":"array","description":"List of discovered tools (same format as discovery)","items":{"$ref":"#/components/schemas/McpToolDTO"}},"isUpdated":{"type":"boolean","description":"Flag indicating if the server was updated"}}},"McpToolDTO":{"type":"object","description":"MCP Tool information","properties":{"name":{"type":"string","description":"Tool name"},"description":{"type":"string","description":"Tool description"},"inputSchema":{"$ref":"#/components/schemas/JsonSchema","description":"Input schema for the tool"}}},"JsonSchema":{"type":"object","properties":{"type":{"type":"string"},"properties":{"type":"object","additionalProperties":{}},"required":{"type":"array","items":{"type":"string"}},"additionalProperties":{"type":"boolean"},"$defs":{"type":"object","additionalProperties":{}},"definitions":{"type":"object","additionalProperties":{}}}},"StandardError":{"type":"object","properties":{"timestamp":{"type":"integer","format":"int64"},"errorCode":{"type":"string"},"errorType":{"type":"string","enum":["API_ERROR","API_INFO","USER_ERROR"]},"message":{"type":"string"},"path":{"type":"string"}}},"ValidationError":{"type":"object","properties":{"timestamp":{"type":"integer","format":"int64"},"errorCode":{"type":"string"},"errorType":{"type":"string","enum":["API_ERROR","API_INFO","USER_ERROR"]},"message":{"type":"string"},"path":{"type":"string"},"details":{"type":"array","items":{"$ref":"#/components/schemas/FieldMessage"}}}},"FieldMessage":{"type":"object","properties":{"fieldName":{"type":"string"},"message":{"type":"string"},"errorCode":{"type":"string"}}}}}}
```

## Discover tools from an MCP server

> Discovers available tools from a remote MCP server by connecting to it and retrieving the list of available tools. This endpoint can be used to test connectivity and explore what tools are available before creating a permanent MCP Server configuration.

```json
{"openapi":"3.1.0","info":{"title":"eva-transactional-service API Documentation","version":"4.9.0"},"tags":[{"name":"MCP Server","description":"Management for creating, listing, finding, updating and deleting MCP Servers, discovering tools from MCP Servers, and listing MCP Server Tools"}],"paths":{"/org/{orgUUID}/env/{envUUID}/bot/{botUUID}/mcp/servers/discovery":{"post":{"tags":["MCP Server"],"summary":"Discover tools from an MCP server","description":"Discovers available tools from a remote MCP server by connecting to it and retrieving the list of available tools. This endpoint can be used to test connectivity and explore what tools are available before creating a permanent MCP Server configuration.","operationId":"discoverMcpServer","parameters":[{"name":"orgUUID","in":"path","description":"Organization UUID","required":true,"schema":{"type":"string"}},{"name":"envUUID","in":"path","description":"Environment UUID","required":true,"schema":{"type":"string"}},{"name":"botUUID","in":"path","description":"Bot UUID","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/McpServerDiscoveryRequestDTO"}}},"required":true},"responses":{"200":{"description":"Discovery successful","content":{"*/*":{"schema":{"$ref":"#/components/schemas/McpServerDiscoveryResponseDTO"}}}},"400":{"description":"Bad Request - Invalid URL, MCP server authentication failure, timeout, or other discovery errors","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"401":{"description":"Unauthorized - Authentication failed","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"403":{"description":"Forbidden - Access denied","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"404":{"description":"Not Found - MCP server not found or not accessible","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"408":{"description":"Request Timeout - MCP server did not respond in time","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"409":{"description":"Conflict","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"422":{"description":"Unprocessable Entity - Validation errors in request body","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}}}}}},"components":{"schemas":{"McpServerDiscoveryRequestDTO":{"type":"object","description":"Request for MCP server discovery","properties":{"transportType":{"$ref":"#/components/schemas/McpTransportTypeEnum","description":"Transport type used to connect with the MCP server"},"url":{"type":"string","description":"MCP server URL","minLength":1},"headers":{"type":"array","description":"Headers of the MCP server discovery","items":{"$ref":"#/components/schemas/HeaderDTO"}},"authType":{"$ref":"#/components/schemas/AuthTypeEnum","description":"Enum describing if cell uses an auth method, and which."},"grantType":{"$ref":"#/components/schemas/GrantTypeEnum","description":"Grant type to be used with oAuth Method"},"basicToken":{"type":"string","description":"Basic Token for Basic Auth Header"},"bearerToken":{"type":"string","description":"Bearer Token for Bearer Token Auth Header"},"clientId":{"type":"string","description":"Client Id to be used with oAuth Method"},"clientSecret":{"type":"string","description":"Client Secret to be used with oAuth Method and grant type 'client_credentials'"},"oauthUrl":{"type":"string","description":"URL for authentication with oAuth Method"},"authUsername":{"type":"string","description":"Username to be used with oAuth Method and grant type 'password'"},"authPassword":{"type":"string","description":"Password to be used with oAuth Method and grant type 'password'"},"authTypeEnum":{"type":"string","enum":["AUTH_NONE","AUTH_BASIC","AUTH_BEARER","AUTH_OAUTH"]},"grantTypeEnum":{"type":"string","enum":["CLIENT_CREDENTIALS","PASSWORD","REFRESH_TOKEN"]}},"required":["authType","transportType","url"]},"McpTransportTypeEnum":{"type":"string","enum":["McpTransportTypeEnum.STREAMABLE_HTTP(value=STREAMABLE_HTTP)","McpTransportTypeEnum.SSE(value=SSE)"]},"HeaderDTO":{"type":"object","description":"DTO user to request create or update of headers of transactional service and response with this data","properties":{"header":{"type":"string","description":"Name of the header of the transactional service","minLength":1},"value":{"type":"string","description":"Name of the value of header of the transactional service","minLength":1}},"required":["header","value"]},"AuthTypeEnum":{"type":"string","enum":["AUTH_NONE","AUTH_BASIC","AUTH_BEARER","AUTH_OAUTH"]},"GrantTypeEnum":{"type":"string","enum":["CLIENT_CREDENTIALS","PASSWORD","REFRESH_TOKEN"]},"McpServerDiscoveryResponseDTO":{"type":"object","description":"Response for MCP server discovery","properties":{"tools":{"type":"array","description":"List of discovered tools","items":{"$ref":"#/components/schemas/McpToolDTO"}},"serverInfo":{"$ref":"#/components/schemas/McpServerInfoDTO","description":"Server information"}}},"McpToolDTO":{"type":"object","description":"MCP Tool information","properties":{"name":{"type":"string","description":"Tool name"},"description":{"type":"string","description":"Tool description"},"inputSchema":{"$ref":"#/components/schemas/JsonSchema","description":"Input schema for the tool"}}},"JsonSchema":{"type":"object","properties":{"type":{"type":"string"},"properties":{"type":"object","additionalProperties":{}},"required":{"type":"array","items":{"type":"string"}},"additionalProperties":{"type":"boolean"},"$defs":{"type":"object","additionalProperties":{}},"definitions":{"type":"object","additionalProperties":{}}}},"McpServerInfoDTO":{"type":"object","description":"DTO containing MCP server information","properties":{"version":{"type":"string","description":"Version of the MCP server"}}},"StandardError":{"type":"object","properties":{"timestamp":{"type":"integer","format":"int64"},"errorCode":{"type":"string"},"errorType":{"type":"string","enum":["API_ERROR","API_INFO","USER_ERROR"]},"message":{"type":"string"},"path":{"type":"string"}}}}}}
```

## Validate MCP Server URL format

> Validates whether the provided MCP Server URL has a supported format (http/https with a valid host).

```json
{"openapi":"3.1.0","info":{"title":"eva-transactional-service API Documentation","version":"4.9.0"},"tags":[{"name":"MCP Server","description":"Management for creating, listing, finding, updating and deleting MCP Servers, discovering tools from MCP Servers, and listing MCP Server Tools"}],"paths":{"/org/{orgUUID}/env/{envUUID}/bot/{botUUID}/mcp/servers/check-url":{"post":{"tags":["MCP Server"],"summary":"Validate MCP Server URL format","description":"Validates whether the provided MCP Server URL has a supported format (http/https with a valid host).","operationId":"checkMcpServerUrl","parameters":[{"name":"orgUUID","in":"path","description":"A valid uuid of organization","required":true,"schema":{"type":"string"}},{"name":"envUUID","in":"path","description":"A valid uuid of environment","required":true,"schema":{"type":"string"}},{"name":"botUUID","in":"path","description":"A valid uuid of bot","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/McpServerCheckUrlRequestDTO"}}},"required":true},"responses":{"204":{"description":"URL format is valid"},"400":{"description":"Bad Request - Malformed URL","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"401":{"description":"Unauthorized - Authentication failed","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"403":{"description":"Forbidden","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"408":{"description":"Request Timeout","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"409":{"description":"Conflict","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"422":{"description":"Unprocessable Entity - Validation errors in request body","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}}}}}},"components":{"schemas":{"McpServerCheckUrlRequestDTO":{"type":"object","description":"DTO used to validate an MCP Server URL format","properties":{"url":{"type":"string","description":"MCP server URL to validate"}},"required":["url"]},"StandardError":{"type":"object","properties":{"timestamp":{"type":"integer","format":"int64"},"errorCode":{"type":"string"},"errorType":{"type":"string","enum":["API_ERROR","API_INFO","USER_ERROR"]},"message":{"type":"string"},"path":{"type":"string"}}}}}}
```

## POST /org/{orgUUID}/env/{envUUID}/bot/{botUUID}/mcp/servers/check-identifier

> Check if an MCP Server name is already in use

```json
{"openapi":"3.1.0","info":{"title":"eva-transactional-service API Documentation","version":"4.9.0"},"tags":[{"name":"MCP Server","description":"Management for creating, listing, finding, updating and deleting MCP Servers, discovering tools from MCP Servers, and listing MCP Server Tools"}],"paths":{"/org/{orgUUID}/env/{envUUID}/bot/{botUUID}/mcp/servers/check-identifier":{"post":{"tags":["MCP Server"],"summary":"Check if an MCP Server name is already in use","operationId":"checkIdentifier","parameters":[{"name":"orgUUID","in":"path","description":"A valid uuid of organization","required":true,"schema":{"type":"string"}},{"name":"envUUID","in":"path","description":"A valid uuid of environment","required":true,"schema":{"type":"string"}},{"name":"botUUID","in":"path","description":"A valid uuid of bot","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CheckValueDTO"}}},"required":true},"responses":{"200":{"description":"Ok","content":{"*/*":{"schema":{"$ref":"#/components/schemas/UsedValueDTO"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"401":{"description":"Unauthorized - Authentication failed","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"403":{"description":"Forbidden","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"408":{"description":"Request Timeout","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"409":{"description":"Conflict","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"422":{"description":"Unprocessable Entity","content":{"*/*":{"schema":{"oneOf":[{"$ref":"#/components/schemas/ValidationError"},{"$ref":"#/components/schemas/StandardError"}]}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}}}}}},"components":{"schemas":{"CheckValueDTO":{"type":"object","description":"DTO used to check if a value (name) is already in use","properties":{"value":{"type":"string","description":"The value (name) to check","minLength":1},"uuid":{"type":"string","description":"Optional UUID to exclude from the check (useful for update operations)"}},"required":["value"]},"UsedValueDTO":{"type":"object","description":"DTO used to return whether a value is already in use","properties":{"used":{"type":"boolean","description":"Indicates if the value is already in use"}}},"StandardError":{"type":"object","properties":{"timestamp":{"type":"integer","format":"int64"},"errorCode":{"type":"string"},"errorType":{"type":"string","enum":["API_ERROR","API_INFO","USER_ERROR"]},"message":{"type":"string"},"path":{"type":"string"}}},"ValidationError":{"type":"object","properties":{"timestamp":{"type":"integer","format":"int64"},"errorCode":{"type":"string"},"errorType":{"type":"string","enum":["API_ERROR","API_INFO","USER_ERROR"]},"message":{"type":"string"},"path":{"type":"string"},"details":{"type":"array","items":{"$ref":"#/components/schemas/FieldMessage"}}}},"FieldMessage":{"type":"object","properties":{"fieldName":{"type":"string"},"message":{"type":"string"},"errorCode":{"type":"string"}}}}}}
```

## DELETE /org/{orgUUID}/env/{envUUID}/bot/{botUUID}/mcp/servers/{uuid}

> Delete MCP Server

```json
{"openapi":"3.1.0","info":{"title":"eva-transactional-service API Documentation","version":"4.9.0"},"tags":[{"name":"MCP Server","description":"Management for creating, listing, finding, updating and deleting MCP Servers, discovering tools from MCP Servers, and listing MCP Server Tools"}],"paths":{"/org/{orgUUID}/env/{envUUID}/bot/{botUUID}/mcp/servers/{uuid}":{"delete":{"tags":["MCP Server"],"summary":"Delete MCP Server","operationId":"delete","parameters":[{"name":"orgUUID","in":"path","description":"Organization UUID","required":true,"schema":{"type":"string"}},{"name":"envUUID","in":"path","description":"Environment UUID","required":true,"schema":{"type":"string"}},{"name":"botUUID","in":"path","description":"Bot UUID","required":true,"schema":{"type":"string"}},{"name":"uuid","in":"path","description":"MCP Server UUID","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"MCP Server deleted successfully","content":{"*/*":{"schema":{"$ref":"#/components/schemas/McpServerDeleteResponseDTO"}}}},"400":{"description":"Bad Request - MCP Server is in use by agents","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"401":{"description":"Unauthorized - Authentication failed","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"403":{"description":"Forbidden - Access denied","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"404":{"description":"Not Found - MCP Server not found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"408":{"description":"Request Timeout","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"409":{"description":"Conflict","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"422":{"description":"Unprocessable Entity","content":{"*/*":{"schema":{"oneOf":[{"$ref":"#/components/schemas/ValidationError"},{"$ref":"#/components/schemas/StandardError"}]}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}}}}}},"components":{"schemas":{"McpServerDeleteResponseDTO":{"type":"object","description":"DTO response when delete successfully a MCP Server","properties":{"name":{"type":"string","description":"Name of the deleted MCP Server"}}},"StandardError":{"type":"object","properties":{"timestamp":{"type":"integer","format":"int64"},"errorCode":{"type":"string"},"errorType":{"type":"string","enum":["API_ERROR","API_INFO","USER_ERROR"]},"message":{"type":"string"},"path":{"type":"string"}}},"ValidationError":{"type":"object","properties":{"timestamp":{"type":"integer","format":"int64"},"errorCode":{"type":"string"},"errorType":{"type":"string","enum":["API_ERROR","API_INFO","USER_ERROR"]},"message":{"type":"string"},"path":{"type":"string"},"details":{"type":"array","items":{"$ref":"#/components/schemas/FieldMessage"}}}},"FieldMessage":{"type":"object","properties":{"fieldName":{"type":"string"},"message":{"type":"string"},"errorCode":{"type":"string"}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs-conversational-ai.syntphony.com/api-docs/api-guidelines/management-api/instance-api/mcp.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
